<?php
/*
Plugin Name: Google+ Author Information by WP-Buddy
Plugin URI: http://www.20script.ir/
Description: Replaces the author link with your Google+ Profile Link or adds a special link in your blogpost. This is the extended version of the free plugin which also comes with a widget, the ability to choose between post types and an comfortable integration check.
Version: 2.4.9
Author: 20script.ir
Author URI: http://20script.ir/
License: codecanyon license @see http://www.20script.ir/
Text Domain: google-author
*/
/*  Copyright 2012-2013  WP-Buddy  (email : info@wp-buddy.com)
*/

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

if ( ! function_exists( 'wpbga_autoloader' ) ) {
	/**
	 * The autoloader class
	 *
	 * @param string $class_name
	 *
	 * @return bool
	 * @since 1.0
	 */
	function wpbga_autoloader( $class_name ) {
		$file = trailingslashit( dirname( __FILE__ ) ) . 'classes/' . strtolower( $class_name ) . '.php';
		if ( is_file( $file ) ) {
			require_once( $file );
			return true;
		}

		return false;
	}
}

// registering the autoloader function
try {
	spl_autoload_register( 'wpbga_autoloader', true );
} catch ( Exception $e ) {
	function __autoload( $class_name ) {
		wpbga_autoloader( $class_name );
	}
}

if ( ! isset( $GLOBALS['wpb_google_author'] ) ) {
	$GLOBALS['wpb_google_author'] = new WPB_Google_Author( __FILE__ );
}





